Bug 111279 - too few parameters
too few parameters
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: texinfo (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-01 13:26 EST by d.binderman
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 4.6-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-02 13:14:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description d.binderman 2003-12-01 13:26:50 EST
Description of problem:
I just tried to compile package texinfo-4.5-2 from Fedora.

The compiler said

1.

infomap.c(168): warning #165: too few arguments in function call

The source code is

          keymap[i].function = (InfoCommand *)keymap_copy_keymap (
              (Keymap)map[i].function, rootmap);

But the definition of keymap_copy_keymap is

/* Return a new keymap which is a copy of MAP. */
Keymap
keymap_copy_keymap (map, rootmap, newroot)
  Keymap map;
  Keymap rootmap;
  Keymap newroot;
{

Two parameters given, three accepted. Suggest improve code to
drop K&R style function definition, and use ISO C style instead.

2.

cmds.c(970): warning #165: too few arguments in function call
cmds.c(974): warning #165: too few arguments in function call

The source code is

  if (arg == START)
    {
      cm_w (START);
      add_char (' ');
    }
  else
    cm_w (END);

But

void
cm_w (arg, start, end)
     int arg, start, end;
{

One parameters give, three accepted. Suggest improve code to
drop K&R style function definition, and use ISO C style instead.



Version-Release number of selected component (if applicable):
texinfo-4.5-2 

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Note You need to log in before you can comment on or make changes to this bug.